% . . Make Coordinate system
clear all;close all;clc


e3=[0:0.2:2];

a=1;

% Grid in plane
xx= [-0.85:.05:0.85];
yy= [-.5:.05:.5];

for ii=1:length(xx)
  for jj=1:length(yy)
    EE1(ii,jj)=acos(sqrt( xx(ii)^2 + yy(jj)^2 )/a);
    EE2(ii,jj)=atan2(yy(jj),xx(ii));
  end
end
  
 
for ii=1:length(xx)
  for jj=1:length(yy)
    for kk=1:length(e3)
        x(ii,jj,kk)=a*cosh(e3(kk))*cos(EE1(ii,jj))*cos(EE2(ii,jj));   
        y(ii,jj,kk)=a*cosh(e3(kk))*cos(EE1(ii,jj))*sin(EE2(ii,jj));
        z(ii,jj,kk)=-a*sinh(e3(kk))*sin(EE1(ii,jj));
    end
  end
end


figure(1)
view(25,20)
hold on
for kk=1:5:length(e3)
  plot3(squeeze(x(:,:,kk)),squeeze(y(:,:,kk)),squeeze(z(:,:,kk)),'r')
end



for kk=1:5:length(e3)
  plot3(squeeze(x(:,:,kk))',squeeze(y(:,:,kk))',squeeze(z(:,:,kk))','b')
end

%cut=10;
%for j=5:360/cut
%   view(j*cut,15)
%   axis tight;axis off
%   M(j) = getframe;
%end
%movie(M)

fig=figure;
set(fig,'DoubleBuffer','on');
set(gca,'xlim',[-80 80],'ylim',[-80 80],...
        'NextPlot','replace','Visible','off')
mov = avifile('example.avi')
for i=1:length(x)
     view(j*cut,15)
     axis tight;axis off
     F = getframe(gca);
     mov = addframe(mov,F);
end
mov = close(mov);
